Skip to main content
`Ctrl`+`K`

# PetscFVSetFromOptions

sets parameters in a `PetscFV` from the options database

## Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVSetFromOptions(PetscFV fvm)

Collective

## Input Parameter

- fvm - the `PetscFV` object to set options for

## Options Database Key

- -petscfv_compute_gradients <bool> - Determines whether cell gradients are calculated

## See Also

`PetscFV`, `PetscFVView()`

## Level

intermediate

## Location

src/dm/dt/fv/interface/fv.c

## Examples

src/ts/tutorials/ex11_sa.c
src/ts/tutorials/ex18.c
src/ts/tutorials/ex11.c

Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages